Subject: Re: bug#20621: Encrypted files auto-saved in plain text during remote edit

From: Nick Helm <[email-masked]>
Date: Wed, 27 May 2015 04:06:45 +0000

> On 26/05/2015, at 7:42 pm, Michael Albinus <[email-masked]> wrote:
> 
>> When using Tramp and EPA to edit an encrypted file on a remote machine, Emacs
>> auto-saves the file in unencrypted plain text.
> 
> Yes, indeed. Tramp sets unconditionally auto-save-mode to 1, overwriting
> existing values. OTOH, epa sets this by default to nil.
> 
> This Tramp behaviour is 15 years old; I cannot see why it was
> needed. Maybe in some older Emacsen, or XEmacs, only? Anyway, I have
> removed it from Tramp. Let's see whether somebody will complain.
> 
> I have submitted the patch to both Emacs and Tramp repositories; could
> you, please, check?

Yep, that's fixed it here. I see the same auto-save behaviour as editing an epa file
in a local-buffer now. 

Thanks!